#pragma once

#ifndef __TRACEHS_H__
#define __TRACEHS_H__


typedef struct _TRACE_STREAM_CONTEXT *PTRACE_STREAM_CONTEXT;

typedef struct _TRACE_STREAM_HEAP {
    ULONG Size;
    ULONG MaxSize;
    PTRACE_STREAM_CONTEXT Data[1];
} TRACE_STREAM_HEAP, *PTRACE_STREAM_HEAP;

PTRACE_STREAM_HEAP
EtwpHeapCreate (
    ULONG MaxSize
);

VOID
EtwpHeapDestroy (
    PTRACE_STREAM_HEAP Heap
);

ULONG
EtwpHeapSize (
    PTRACE_STREAM_HEAP Heap
);


PTRACE_STREAM_CONTEXT
EtwpHeapPeek (
    PTRACE_STREAM_HEAP Heap
);

VOID
EtwpHeapPush (
    PTRACE_STREAM_HEAP Heap,
    PTRACE_STREAM_CONTEXT NewStream
);

VOID
EtwpHeapPop (
    PTRACE_STREAM_HEAP Heap
);

VOID
EtwpHeapResortFromTop (
    PTRACE_STREAM_HEAP Heap
);

#endif // __TRACEHS_H__
