#ifndef __RTCPAL_ETWMACROS_H__
#define __RTCPAL_ETWMACROS_H__

#if defined(ANDROID) || defined(_UNIX_MACOSX) || defined(_UNIX_IPHONE) || defined( WINPHONE ) || defined(__linux)

// These are auto generated during build for the rtcpal/manifest/windows folder for Windows.  However, for non-Windows
// platform (including Windows Phone), support for ETW isn't present, so we're going to just stub out the macros.

#ifndef EventRegisterMicrosoftLyncRtcPal
#define EventRegisterMicrosoftLyncRtcPal()          ((void)0) 
#endif

#ifndef EventUnregisterMicrosoftLyncRtcPal
#define EventUnregisterMicrosoftLyncRtcPal()        ((void)0) 
#endif

#ifndef EventWriteMSRtcPal_VideoSourceCaptureFrame
#define EventWriteMSRtcPal_VideoSourceCaptureFrame(FrameId, FourCC, ResX, ResY, SourceType)         ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSourceEncodeBegin
#define EventWriteMSRtcPal_VideoSourceEncodeBegin(FrameId, FourCC, ResX, ResY, EncoderType)         ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSourceEncodeEnd
#define EventWriteMSRtcPal_VideoSourceEncodeEnd(FrameId, FourCC, ResX, ResY)                        ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkQueueFrameBegin
#define EventWriteMSRtcPal_VideoSinkQueueFrameBegin(FrameId, FourCC, XRes, YRes)                                                ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkQueueFrameEnd
#define EventWriteMSRtcPal_VideoSinkQueueFrameEnd(FrameId, FourCC, XRes, YRes, CropLeft, CropRight, CropTop, CropBottom)        ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkStreamFrameRequest
#define EventWriteMSRtcPal_VideoSinkStreamFrameRequest(Token)                                                                   ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkStreamFrameReadyEvent
#define EventWriteMSRtcPal_VideoSinkStreamFrameReadyEvent(FrameId, FourCC, XRes, YRes, Token)                                   ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkStreamStateChange
#define EventWriteMSRtcPal_VideoSinkStreamStateChange(State)                                                                    ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkSourceStateChange
#define EventWriteMSRtcPal_VideoSinkSourceStateChange(State)                                                                    ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkSetD3DManager
#define EventWriteMSRtcPal_VideoSinkSetD3DManager(D3DManager)                                                                   ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkQueueNotifyFrameReady
#define EventWriteMSRtcPal_VideoSinkQueueNotifyFrameReady(FrameId, FourCC, XRes, YRes)                                          ((void)0)
#endif

#ifndef EventWriteMSRtcPal_VideoSinkQueueGetFrame
#define EventWriteMSRtcPal_VideoSinkQueueGetFrame(FrameId, FourCC, XRes, YRes)                                                  ((void)0)
#endif
#else
#include <rtcpaletw.h>
#endif  // defined(ANDROID) || defined(_UNIX_MACOSX) || defined(_UNIX_IPHONE) || defined( WINPHONE )

#endif  /*  __RTCPAL_ETWMACROS_H__  */
