#ifndef __RTCPAL_UTIL_H__
#define __RTCPAL_UTIL_H__

/*++

Copyright (C) Microsoft Corporation. All rights reserved.

Module Name:

rtcpal_util.h

Abstract:

    -- Defines helper macros for internal RTCPAL consumption
    -- No platform specific defines
    -- Not to be dropped to external consumers of RTCPAL

--*/

#define RTCPAL_DISALLOW_COPY_AND_ASSIGN(E) \
    private: E(const E&); E& operator=(const E&);

#endif

