#pragma once
/*
 *  jni_android.h
 *  
 *  Created by Yong Liu on 9/17/11.
 *  Copyright 2011 __MicroSoft__. All rights reserved.
 *
 */
#ifndef __JNI_ANDROID_H__
#define __JNI_ANDROID_H__

void
JNI_Init(
    JavaVM* vm,
    JNIEnv* env
    );

JavaVM*
GetGlobalJavaVM();

int
RegisterNativeMethods(
    JNIEnv* env,
    const char* className,
    JNINativeMethod* pMethods,
    int numMethods
    );

int
AttachCurrentThread(
    __out JNIEnv** ppEnv,
    __out BOOL* pbAttached
    );

void
DetachCurrentThreadIfAttached(
    __in BOOL bAttached
    );

void RtcPalTraceSetRootDir(
    const char* path
    );

#endif //__JNI_ANDROID_H__

