#pragma once
/*
 *  jni_android_base.h
 *  
 *  Created by Robert Andersson on 11/12/14.
 *  Copyright 2014 __MicroSoft__. All rights reserved.
 *
 */
#ifndef __JNI_ANDROID_BASE_H__
#define __JNI_ANDROID_BASE_H__

void
JNI_Init_Base(
    JavaVM* vm,
    JNIEnv* env
    );

extern "C" 
int 
JNI_Pal_Init_Base(
	JavaVM* vm, 
	jobject classLoader, 
	jmethodID method_loadClass
	);
	
JavaVM*
GetGlobalJavaVM();

int
RegisterNativeMethods(
    JNIEnv* env,
    const char* className,
    JNINativeMethod* pMethods,
    int numMethods
    );

int
AttachCurrentThread(
    __out JNIEnv** ppEnv,
    __out BOOL* pbAttached
    );

void
DetachCurrentThreadIfAttached(
    __in BOOL bAttached
    );

void RtcPalTraceSetRootDir(
    const char* path
    );

#endif //__JNI_ANDROID_BASE_H__

