//+---------------------------------------------------------------------------
//
//  Microsoft Windows
//  Copyright (C) Microsoft Corporation
//
//  File:       rtcpal_leave_stl_fix.h (renamed from mbu_stl_fix_2.h)
//	Owner:		andreif
//
//  Contents:   Macintosh mac stl vs msvc fix
//
//	Issue:		msvc defines __in and __out. This causes havoc with STL
//
//	Use:		Before and after #includes of STL use as follows:
//
//					#include "mbu_stl_fix_1.h"
//					#include <string>
//					#include "mbu_stl_fix_2.h"
//
//----------------------------------------------------------------------------

#ifdef MBU_LOADING_STL_out
	#define __out
	#undef MBU_LOADING_STL_out
#endif

#ifdef MBU_LOADING_STL_in
	#define __in
	#undef MBU_LOADING_STL_in
#endif

#ifdef MBU_LOADING_STL_ret
	#define __ret
	#undef MBU_LOADING_STL_ret
#endif

#if 0
#ifdef MBU_LOADING_STL_min
	#define min(a,b)            (((a) < (b)) ? (a) : (b))
	#undef MBU_LOADING_STL_min
#endif

#ifdef MBU_LOADING_STL_max
	#define max(a,b)            (((a) > (b)) ? (a) : (b))
	#undef MBU_LOADING_STL_max
#endif
#endif

#ifdef MBU_LOADING_STL_small
	#define small char
	#undef MBU_LOADING_STL_small
#endif
