#ifndef __ATLEXCEPT_H__
#define __ATLEXCEPT_H__

namespace ATL
{
	ATL_NOINLINE inline void WINAPI AtlThrowImpl( HRESULT hr );
	ATL_NOINLINE __declspec(noreturn) inline void WINAPI AtlThrowLastWin32();
};

namespace ATL
{
class CAtlException
{
public:
	CAtlException() throw() :
		m_hr( E_FAIL )
	{
	}

	CAtlException( HRESULT hr ) throw() :
		m_hr( hr )
	{
	}

	operator HRESULT() const throw()
	{
		return( m_hr );
	}

public:
	HRESULT m_hr;
};

ATL_NOINLINE inline void WINAPI AtlThrowImpl( HRESULT hr )
{
	throw CAtlException( hr );
};

} // namespace ATL

#endif  // __ATLEXCEPT_H__

