#ifndef __propsys_h__
#define __propsys_h__

#include <propidl.h>

EXTERN_C const IID IID_IPropertyStore;

struct IPropertyStore : public IUnknown
{
public:
    virtual HRESULT STDMETHODCALLTYPE GetCount( 
        /* [out] */ __RPC__out DWORD *cProps) = 0;
    
    virtual HRESULT STDMETHODCALLTYPE GetAt( 
        /* [in] */ DWORD iProp,
        /* [out] */ __RPC__out PROPERTYKEY *pkey) = 0;
    
    virtual HRESULT STDMETHODCALLTYPE GetValue( 
        /* [in] */ __RPC__in REFPROPERTYKEY key,
        /* [out] */ __RPC__out PROPVARIANT *pv) = 0;
    
    virtual HRESULT STDMETHODCALLTYPE SetValue( 
        /* [in] */ __RPC__in REFPROPERTYKEY key,
        /* [in] */ __RPC__in REFPROPVARIANT propvar) = 0;
    
    virtual HRESULT STDMETHODCALLTYPE Commit( void) = 0;
};

#endif // __propsys_h__
