//
// UTF16 WCHAR related declarations.
// This file is MSC version for 16-bit WCHAR related CRT function.
// Since MSC natively support 16-bit WCHAR, rtcpal_xxxx is defined to MSC CRT
//

#ifndef __RTCPAL_WC16_H__
#define __RTCPAL_WC16_H__

#include <wchar.h>

//
// Windows RTCPAL currently cann't coexist with STL due to conflicts in operator new/delete
// #ifdef __cplusplus
//     #include <string>
// #endif
//

C_ASSERT(sizeof(wchar_t) == 2);

#define rtcpal_wmemcmp  wmemcmp
#define rtcpal_wmemchr  wmemchr
#define rtcpal_wmemmove wmemmove
#define rtcpal_wmemcpy  wmemcpy
#define rtcpal_wmemset  wmemset
#define rtcpal_wcslen   wcslen
#define rtcpal_wcsnlen  wcsnlen

#define rtcpal_wcscmp   wcscmp
#define rtcpal_wcsicmp  _wcsicmp
#define rtcpal_wcscpy   wcscpy
#define rtcpal_wcsncmp  wcsncmp
#define rtcpal_wcsnicmp _wcsnicmp
#define rtcpal_wcsncpy  wcsncpy
#define rtcpal_wcsncpy_s  wcsncpy_s
#define rtcpal_wcschr   wcschr
#define rtcpal_wcsstr   wcsstr
#define rtcpal_wcsspn   wcsspn
#define rtcpal_wcscspn  wcscspn
#define rtcpal_wcslwr   _wcslwr
#define rtcpal_wcsrev   wcsrev
#define rtcpal_wcstombs wcstombs
#define rtcpal_mbstowcs mbstowcs
#define rtcpal_wcsncat  wcsncat
#define rtcpal_wcsrchr  wcsrchr
#define rtcpal_wcstoul  wcstoul
#define rtcpal_wcstol   wcstol
#define rtcpal_wcstoll  wcstoll
#define rtcpal_wcstoull wcstoull
#define rtcpal_mbstowcs_s mbstowcs_s

#define rtcpal_wcspbrk  wcspbrk

#define rtcpal_towlower towlower
#define rtcpal_towupper towupper
#define rtcpal_iswalnum iswalnum
#define rtcpal_iswalpha iswalpha
#define rtcpal_iswascii iswascii
#define rtcpal_iswblank iswblank
#define rtcpal_iswcntrl iswcntrl
#define rtcpal_iswdigit iswdigit
#define rtcpal_iswgraph iswgraph
#define rtcpal_iswhexnumber iswhexnumber
#define rtcpal_iswideogram iswideogram
#define rtcpal_iswlower iswlower
#define rtcpal_iswnumber iswnumber
#define rtcpal_iswphonogram iswphonogram
#define rtcpal_iswprint iswprint
#define rtcpal_iswpunct iswpunct
#define rtcpal_iswrune  iswrune
#define rtcpal_iswspace iswspace
#define rtcpal_iswgraph iswgraph
#define rtcpal_iswhexnumber iswhexnumber
#define rtcpal_iswideogram iswideogram
#define rtcpal_iswlower iswlower
#define rtcpal_iswnumber iswnumber
#define rtcpal_iswphonogram iswphonogram
#define rtcpal_iswprint iswprint
#define rtcpal_iswpunct iswpunct
#define rtcpal_iswrune iswrune
#define rtcpal_iswspace iswspace
#define rtcpal_iswspecial iswspecial
#define rtcpal_iswupper iswupper
#define rtcpal_iswxdigit iswxdigit

#define rtcpal_wprintf  wprintf
#define rtcpal_wfopen_s _wfopen_s
#define rtcpal_wfopen   _wfopen

#define rtcpal_wopen_s  _wopen_s
#define rtcpal_wcreat   _wcreat

#ifdef __cplusplus
    #define rtcpal_wstring std::wstring
    #define rtcpal_wostringstream std::wostringstream
    #define rtcpal_wofstream std::wofstream
#endif    // __cplusplus

#endif // __RTCPAL_WC16_H__

