
`INCLUDE um-init.tpl`

#undef WPP_INIT_TRACING

WPPINIT_EXPORT
VOID
RtcPalWppInitUm(
    void
    )
{
    PWPP_TRACE_CONTROL_BLOCK Control = &WPP_CB[0].Control;
    LPCGUID * RegistrationGuids = (LPCGUID *)&WPP_REGISTRATION_GUIDS;
    LPCGUID ControlGuid;

    for(; Control; Control = Control->Next) {
        ControlGuid = *RegistrationGuids++;

        (void)RtcPalRegisterTraceGuids(
                WppControlCallback,
                Control,              // Context for the callback
                ControlGuid,
                &Control->UmRegistrationHandle
                );
    }
}

#define RTCPAL_WPP_INIT_TRACING() \
        WppLoadTracingSupport; \
        (WPP_CONTROL_ANNOTATION(),WPP_INIT_STATIC_DATA, \
         WPP_INIT_GUID_ARRAY((LPCGUID*)&WPP_REGISTRATION_GUIDS), \
         WPP_CB= WPP_MAIN_CB, \
         RtcPalWppInitUm())


