/** \file std.h

    Includes all std files. In order to avoid compiler errors due to macro abuse, 
    this file should be include first. 
 */

#pragma once
    
#include <vector>
#include <utility>
#include <string>
#include <memory>
#include <cassert>
#include <map>
using namespace std;

#if __cplusplus < 201103

#if !defined(WINPHONE)
#if defined(ANDROID) || defined(__linux)
#include <type_traits>
using namespace std;
#else
#include <tr1/type_traits>
using namespace std::tr1;
#endif
#endif

#define noexcept throw()
#endif
