
// Use this file for enabling optional media stack featuer for android

//#define __RTCPAL_NO_TRACING__       1
//#define UT_TRACE_ASCII 1
#define DISABLE_INTELFFT

//turning on video
#define ENABLE_VIDEO                1

#if ENABLE_VIDEO
#define RTCPAL_ENABLE_VIDEO ENABLE_VIDEO
#endif

#if RTCPAL_ENABLE_VIDEO
//turning on VC1
#   define RTCPAL_ENABLE_VC1                  1
#   if RTCPAL_ENABLE_VC1
//turning off VC1 encoder
//    There is no way to disable/enable VC1 encoder in PAL as VC1 shared the same MLE interface with H264
//    you need to disable/enable it inside VideoDSP
//#       define RTCPAL_ENABLE_VC1_ENCODER          0
//turning on VC1 decoder
#       define RTCPAL_ENABLE_VC1_DECODER          1
#   endif //RTCPAL_ENABLE_VC1
#endif //RTCPAL_ENABLE_VIDEO

#define RTCPAL_AUDIO_HAVE_G722_CODEC    1
#define RTCPAL_AUDIO_HAVE_G7221_CODEC   0
#define RTCPAL_AUDIO_HAVE_G7222_CODEC   0
#define RTCPAL_AUDIO_HAVE_G711_CODEC    1
#define RTCPAL_AUDIO_HAVE_G726_CODEC    0
#define RTCPAL_AUDIO_HAVE_SIREN_CODEC   1
#define RTCPAL_AUDIO_HAVE_RTAUDIO_CODEC 0
#define RTCPAL_AUDIO_HAVE_SILK_CODEC    1
#define RTCPAL_SUPPORT_INBOX_DECODER    0

#define __RTCPAL_FORCE_FILE_TRACING__   1

#define RTCPAL_HAVE_SSE                 0

#define RTCPAL_HAVE_NEON                1

#define RTCPAL_ENABLE_PSM               0

#define RTCPAL_RENDER_EQ                0

#define RTCPAL_HAVE_FILESOURCE          0
#define RTCPAL_HAVE_FILESINK            0

#define RTCPAL_VIDEODSP_VC1MLE_ENABLE   1
#define RTCPAL_VIDEODSP_VC1MLD_ENABLE   1
#define RTCPAL_VIDEODSP_H264MLE_ENABLE  1
#define RTCPAL_VIDEODSP_H264MLD_ENABLE  1
#define RTCPAL_VIDEODSP_SKYPE_ENABLE	1
#define RTCPAL_VIDEODSP_SKYPEDEC_ENABLE	1
#define RTCPAL_VIDEODSP_DXVA_ENABLE	    0
#define RTCPAL_VIDEODSP_SOFTWARE_DECODER_ENABLE	1

#define RTCPAL_ENGINE_TIMER_PERIOD      100000 // 10 milliseconds

#define RTCPAL_SUPPORT_SSPI             1
#define RTCPAL_USE_APACHE_SSPI          1

#define RTCPAL_USE_ARM_ASSEMBLY         1

// Log a heart beat message for diagnostics for every 128 frames
// If zero, the heart beat log will be compiled out
#define RTCPAL_VIDEO_HEARTBEAT_INTERVAL 0

// Disable listening only on the loopback address on android
#define METRICS_SERVER_ENABLE_REMOTE_CONNECTIONS 1

// Video codec platform specific constants
#define MAX_MLE_NUM                     3
#define MAX_STREAM_NUM                  1
#define MAX_NUM_OF_LAYERS               2         
#define NALUNUMLIMIT                    16
#define MAX_SOURCE_NUM                  2
#define MAX_SINK_NUM                    4
#define MAX_NUM_VP_COMPONENTS           4

#define MAXSTREAMNUM                    MAX_STREAM_NUM
#define MAXLAYERNUM                     MAX_NUM_OF_LAYERS
#define MAXSLICENUM                     NALUNUMLIMIT
