#ifndef __RTCPAL_LINKAGE__
#define __RTCPAL_LINKAGE__

#pragma once

/*
#ifdef __RTCPAL_IMPL__
#define RTC_CLASS_LINKAGE   RTCPAL_DLL_EXPORT
#else
#define RTC_CLASS_LINKAGE   RTCPAL_DLL_IMPORT
#endif
*/

#define RTC_CLASS_LINKAGE

//
// RTCPAL_DATA_LINKAGE supports exporting data variable from a DLL
// Otherwise, one will have to use awkward way for accessing a variable,
// for example, a variable must be declared as a pointer.
//
// instead of "extern int opterr", one must use "extern int * opterr".
//
// See http://support.microsoft.com/kb/90530 for more information.
//
#ifdef __RTCPAL_IMPL__
    #define RTC_DATA_LINKAGE   RTCPAL_DLL_EXPORT
#else
    #define RTC_DATA_LINKAGE   RTCPAL_DLL_IMPORT
#endif

#ifdef __cplusplus
    #define EXTERN_C    extern "C"
#else
    #define EXTERN_C    extern
#endif

#undef RTCAPI
#define RTCAPI  RTC_CLASS_LINKAGE   RTCPAL_STDCALL

#endif
