//+---------------------------------------------------------------------------
//
//  Microsoft Windows
//  Copyright (C) Microsoft Corporation
//
//  File:       rtcpal_enter_stl_fix.h (renamed from mbu_stl_fix_1.h)
//	Owner:		andreif
//
//  Contents:   Macintosh mac stl vs msvc fix
//
//	Issue:		msvc defines __in and __out. This causes havoc with STL
//				Somewhere in the depths we also #define min to nothing
//
//	Use:		Before and after #includes of STL use as follows:
//
//					#include "mbu_stl_fix_1.h"
//					#include <string>
//					#include "mbu_stl_fix_2.h"
//
//	Note:		This assumes we are simply #defining the symbols to null
//					if we are doing anything else, this will singnal
//					a compier error.
//
//----------------------------------------------------------------------------

#ifdef __out
	#define MBU_LOADING_STL_out
	#undef __out
#endif

#ifdef __in
	#define MBU_LOADING_STL_in
	#undef __in
#endif

#ifdef __ret
	#define MBU_LOADING_STL_ret
	#undef __ret
#endif

#ifdef min
	#define MBU_LOADING_STL_min
	#undef min
#endif

#ifdef max
	#define MBU_LOADING_STL_max
	#undef max
#endif

#ifdef small
	#define MBU_LOADING_STL_small
	#undef small
#endif
