#pragma once

#ifndef __RTCPAL_UTIL_H__
#define __RTCPAL_UTIL_H__

#ifdef __cplusplus

#include <string>

#endif // __cplusplus

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

// convert a char-string to a wchar_t string.
// NOTE: The caller need to free the memory using free().
// return wchar_t* string, or NULL for any error.
wchar_t * str2wstr(const char* str);

#ifdef __cplusplus
}
#endif // __cplusplus


#ifdef __cplusplus

std::wstring string2wstring(const std::string& str);

std::string wstring2string(const std::wstring& wstr);

#endif // __cplusplus



#endif // __RTCPAL_UTIL_H__
