#ifndef __DMO_H__
#define __DMO_H__

#include <mediaobj.h>
#include <mediaerr.h>

#ifdef __cplusplus
extern "C" {
#endif

STDAPI MoInitMediaType(DMO_MEDIA_TYPE *pmt, DWORD cbFormat);
STDAPI MoCopyMediaType(DMO_MEDIA_TYPE *pmtDest, const DMO_MEDIA_TYPE *pmtSrc);
STDAPI MoFreeMediaType(DMO_MEDIA_TYPE *pmt);
STDAPI MoDeleteMediaType(DMO_MEDIA_TYPE *pmt);
STDAPI MoDuplicateMediaType(DMO_MEDIA_TYPE **ppmtDest, const DMO_MEDIA_TYPE *pmtSrc);

#ifdef __cplusplus
};
#endif

#include <dmoreg.h>
#include <dmort.h>

#endif //__DMO_H__
