    
#ifndef __IServiceProvider_INTERFACE_DEFINED__
#define __IServiceProvider_INTERFACE_DEFINED__

EXTERN_C const IID IID_IServiceProvider;

#ifdef __cplusplus
extern "C++"
{
    MIDL_INTERFACE("6d5140c1-7436-11ce-8034-00aa006009fa")
    IServiceProvider : public IUnknown
    {
    public:
        virtual /* [local] */ HRESULT STDMETHODCALLTYPE QueryService( 
            /* [in] */ REFGUID guidService,
            /* [in] */ REFIID riid,
            /* [out] */ void __RPC_FAR *__RPC_FAR *ppvObject) = 0;
        
        template <class Q>
        HRESULT STDMETHODCALLTYPE QueryService(REFGUID guidService, Q** pp)
        {
            return QueryService(guidService, __uuidof(Q), (void **)pp);
        }
    };
}
#endif // __cplusplus

#endif 	/* __IServiceProvider_INTERFACE_DEFINED__ */

